# Interface methods for submodule: NonLinearOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import OptimizerProxy as _OptimizerProxy


# Interface methods for class: NonLinearOptimizer
class NonLinearOptimizerProxy(_OptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

